## net.i2p.addressbook
Class Subscription

    java.lang.Object
      net.i2p.addressbook.Subscription

     class Subscription

extends Object

A subscription to a remote address book.

Author:
  Ragnarok

Constructor Summary
`Subscription(String location, String etag, String lastModified, String lastFetched)` Construct a Subscription pointing to the address book at location, that was last read at the time represented by etag and lastModified.

Method Summary
`String` `getEtag()` Return the etag header that we recieved the last time we read this subscription.
`long` `getLastFetched()`
`String` `getLastModified()` Return the last-modified header that we recieved the last time we read this subscription.
`String` `getLocation()` Return the location this Subscription points at.
`void` `setEtag(String etag)` Set the etag header.
`void` `setLastFetched(long t)`
`void` `setLastModified(String lastModified)` Set the last-modified header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subscription

    public Subscription(String location,
                        String etag,
                        String lastModified,
                        String lastFetched)

  Construct a Subscription pointing to the address book at location, that was last read at the time represented by etag and lastModified.

  Parameters:
    `location` - A String representing a url to a remote address book.
    `etag` - The etag header that we recieved the last time we read this subscription.
    `lastModified` - the last-modified header we recieved the last time we read this subscription.
    `lastFetched` - when the subscription was last fetched (Java time, as a String)

Method Detail

### getLocation

    public String getLocation()

  Return the location this Subscription points at.

  Returns:
    A String representing a url to a remote address book.

### getEtag

    public String getEtag()

  Return the etag header that we recieved the last time we read this subscription.

  Returns:
    A String containing the etag header.

### setEtag

    public void setEtag(String etag)

  Set the etag header.

  Parameters:
    `etag` - A String containing the etag header.

### getLastModified

    public String getLastModified()

  Return the last-modified header that we recieved the last time we read this subscription.

  Returns:
    A String containing the last-modified header.

### setLastModified

    public void setLastModified(String lastModified)

  Set the last-modified header.

  Parameters:
    `lastModified` - A String containing the last-modified header.

### getLastFetched

    public long getLastFetched()

  Since:
    0.8.2

### setLastFetched

    public void setLastFetched(long t)

  Since:
    0.8.2